
gear = {};

function gear.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function gear:load(xmlFile)
	
	self.gear = true 
			
	
	local gear = getXMLString(xmlFile, "vehicle.gear#file");
		if gear ~= nil and gear ~= "" then
        gear = Utils.getFilename(gear, self.baseDirectory); 
        self.gear = createSample("gear");
        loadSample(self.gear, gear, false);
        self.gearPitchOffset = Utils.getNoNil(getXMLFloat(xmlFile, "vehicle.gear#pitchOffset"), 1);
        self.gearVolume = Utils.getNoNil(getXMLFloat(xmlFile, "vehicle.gear#volume"), 1);
		end;
		self.SampleActive = false
end;

function gear:delete()

end;

function gear:mouseEvent(posX, posY, isDown, isUp, button)
end;

function gear:keyEvent(unicode, sym, modifier, isDown)

end;


function gear:update(dt)

if self.gear == false then
	if InputBinding.hasEvent(InputBinding.BRAKE) then
		self.gear = true
		if self.gear and self:getIsActiveForSound() then
			playSample(self.gear,1,1,0);
		end;
	end;
end;	
	
if self.gear == true then	
	if InputBinding.hasEvent(InputBinding.BRAKE) then
		self.gear = false
		if not self.gear and self:getIsActiveForSound() then
			playSample(self.gear,1,1,0);
		end;
	end;
end;


	
end;

function gear:updateTick(dt)
		
		if self.gear == true then
            if self.isServer then
                for k,wheel in pairs(self.wheels) do
                    setWheelShapeProps(wheel.node, wheel.wheelShape, 0, 9, 0);
                end;
            end;
        elseif self.gear == false then
            if self.isServer then
                for k,wheel in pairs(self.wheels) do
                    setWheelShapeProps(wheel.node, wheel.wheelShape, 0, 0, 0);
                end;
            end;
        end;
		
end;

function gear:draw()

end;

